# Copyright © 2022 Nick Bowler
# License GPLv3+: GNU General Public License version 3 or any later version.
# This is free software: you are free to change and redistribute it.
# There is NO WARRANTY, to the extent permitted by law.

EAPI=8

inherit toolchain-funcs

DESCRIPTION="Utilities to process FCode bytecode for OpenFirmware"
HOMEPAGE="https://www.openfirmware.info/FCODE_suite"
SRC_URI="https://github.com/openbios/fcode-utils/archive/refs/tags/v$PV.tar.gz -> $P.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64"

src_compile () {
	emake CC="$(tc-getCC)" CFLAGS="$CFLAGS" LDFLAGS="$LDFLAGS" STRIP=:
}

src_install () {
	dobin toke/toke detok/detok romheaders/romheaders

	docinto html
	dodoc documentation/*.html documentation/*.css
}
